All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.form
Interface FormElementModificationEventInterface

All Known Implementing Classes:
  BaseCheckBox, BaseChoiceBox, BaseComboBoxView, BaseFormElement, BaseHidden, BaseImage, BaseInput, BaseListBox, BaseListBoxView, BasePassword, BasePushButton, BaseRadio, BaseTextArea, BaseTextEntry, CellContentsCheckBoxEditor, CellContentsChoiceBoxEditor, CellContentsImageRenderer, CellContentsListBoxEditor, CellContentsRadioEditor, CellContentsRowSelectionRenderer, CellContentsTextAreaEditor, CellContentsTextEntryEditor, CheckBox, CheckBoxList, ChoiceBox, ComboBoxView, Hidden, Image, ImageAction, ListBox, ListBoxView, Password, PushButton, Radio, TextArea, TextEntry

    public interface FormElementModificationEventInterface

Interface that allows the user to get the JavaScript event associated with modification for form elements.

Method Summary
`java.lang.String` | `getModificationEventName()` Returns the name of the event that fires when a form element has been modified.
`void` | `setModificationEventName(java.lang.String eventName)` Sets the name of the event that fires when a form element has been modified.

Method Detail

### getModificationEventName

    java.lang.String getModificationEventName()

  Returns the name of the event that fires when a form element has been modified.

  Returns:
    name of the event that fires when a form element has been modified.

### setModificationEventName

    void setModificationEventName(java.lang.String eventName)

  Sets the name of the event that fires when a form element has been modified.

  Parameters:
    `eventName` - The modificationEventName

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.